## libswe 1.77.00.0005

=== debian/changelog ===
libswe (1.77.00.0005-7) unstable; urgency=low

  * Standards-Version: 3.9.4
  * debian/compat  is 9
  * disable these errors  -Wno-error=format-security -Wno-format
  * Multi arch
  * fix vcs-field-not-canonical

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Thu, 08 Aug 2013 03:56:34 -0500

libswe (1.77.00.0005-6) unstable; urgency=low

  * Fix "FTBFS all arches" Don't build docs for arch dependent builds (Closes:
    #718715)

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Wed, 07 Aug 2013 13:25:26 -0500

libswe (1.77.00.0005-5) unstable; urgency=low

  * Fix "FTBFS: Unable to store document to private:stream 
    (ErrCode 3088)" 
    changed src/Makefile.am unoconv --stdout to unoconv -o
    sleep 20 sec after starting unoconv listner
    (Closes: #718090)

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Fri, 02 Aug 2013 17:25:10 -0500

libswe (1.77.00.0005-4) unstable; urgency=low

  * upgrade to Standards-Version: 3.9.3
  * upgrade copyright file to dep-5

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Thu, 05 Apr 2012 03:15:09 -0500

libswe (1.77.00.0005-3) unstable; urgency=low

  * add Vcs fields for collab-maint repository

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Sat, 03 Mar 2012 15:14:13 -0600

libswe (1.77.00.0005-2) unstable; urgency=low

  * New upstream release
  * empty writable home dir for LO (closes: #635672)
  * Build-Depends-Indep for LO and dependencies

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Wed, 01 Feb 2012 15:05:52 -0600
