=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Priority: extra
 Maintainer: Paul Elliott <pelliott@blackpatchpanel.com>
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, unoconv, libreoffice-writer, libreoffice-java-common, procps
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9~), autotools-dev
+Build-Depends-Indep: unoconv, libreoffice-writer, libreoffice-java-common, procps
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://swissephauto.blackpatchpanel.com/
-Vcs-Svn: svn://svn.gna.org/svn/swissephauto/trunk/libswe-1.77.00/
-Vcs-Browser: http://svn.gna.org/viewcvs/swissephauto/trunk/libswe-1.77.00/
+Vcs-Git: git://anonscm.debian.org/collab-maint/libswe.git/
+Vcs-browser: http://anonscm.debian.org/git/collab-maint/libswe.git/
 
 
 Package: libswe-doc
@@ -78,7 +79,9 @@
 
 Package: libswe0
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Recommends: swe-basic-data, swe-standard-data
 Description: C library for the Swiss Ephemeris
  libswe0 allows programs to access the Swiss Ephemeris.
@@ -135,6 +138,7 @@
 Section: science
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: basic data files for the libswe package
  This package includes basic data files needed by libswe, the Swiss Ephemeris.
  The basic data consists of these files:
