=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#libswe uses depredicated calls warnings are not errors.
export DEB_CFLAGS_MAINT_APPEND  = -Wno-error=format-security -Wno-format

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 


override_dh_auto_configure-arch:
	dh_auto_configure -- --docdir=\$${prefix}/share/doc/libswe-doc --disable-docs 
override_dh_auto_configure-indep:
	dh_auto_configure -- --docdir=\$${prefix}/share/doc/libswe-doc
