## libswe 1.80.00.0001

=== debian/changelog ===
libswe (1.80.00.0001-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 03 Jan 2014 15:44:19 -0500

libswe (1.80.00.0001-1) unstable; urgency=low

  * New upstream version 1.80.00
  * all libswe0 symbols assumed to have new behavior for 1.80

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Sun, 22 Sep 2013 14:07:17 -0500

libswe (1.79.00.0001-1) unstable; urgency=low

  * all libswe0 symbols have new behavior for 1.79
  * replace patch to astrodienst/src/swephexp.h
    with debian/rules DEB_CPPFLAGS_MAINT_APPEND parameter
  * harden library swetest against buffer overflow attacks on sprintf
  * harden swetest agaist buffer format attacks on printf
  * specify version of swe-basic-data in recommends 1.79
  * allow -Werror=format-security -Wformat errors. (closes: #719653)
  * shorten description. (closes:  #681215)
  * fix dep-3 headers

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Tue, 20 Aug 2013 15:17:51 -0500

libswe (1.78.00.0001-1) unstable; urgency=low

  * New upstream version 1.78.00
  * update debian/libswe0.symbols
  * specify version of swe-basic-data in recommends
  * change copyright because libswe-doc no longer in this source package

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Mon, 12 Aug 2013 23:54:42 -0500

libswe (1.77.00.0006-1) unstable; urgency=low

  * Remove libswe-doc package. Will have it's own source package.

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Sat, 10 Aug 2013 17:29:58 -0500
