=== debian/control ===
Source: libswe
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Elliott <pelliott@blackpatchpanel.com>
Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>
Build-Depends: debhelper (>= 9~), dh-autoreconf
Standards-Version: 3.9.4
Section: libs
Homepage: http://swissephauto.blackpatchpanel.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/libswe.git/
Vcs-browser: http://anonscm.debian.org/git/collab-maint/libswe.git/


Package: libswe-dev
Section: libdevel
Architecture: any
Depends: libswe0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: C library for The Swiss Ephemeris
 Contains static library, headers, example code and development manpages
 for libswe0.
 The Swiss Ephemeris offers these advantages:
 The Swiss Ephemeris is based upon the latest planetary and lunar
 ephemeris, DE405/406, developed by NASA's Jet Propulsion
 Laboratory. 

Package: libswe0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Recommends: swe-basic-data (>=1.80.00), swe-standard-data
Description: C library for the Swiss Ephemeris
 libswe0 allows programs to access the Swiss Ephemeris.
 The SWISS EPHEMERIS is the high precision ephemeris developed 
 by Astrodienst, largely based upon the DE406 ephemeris from NASA's JPL.
 The Swiss Ephemeris is based upon the latest planetary and lunar
 ephemeris, DE405/406, developed by NASA's Jet Propulsion
 Laboratory.

Package: swe-basic-data
Section: science
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: basic data files for the libswe package
 This package includes basic data files needed by libswe, the Swiss Ephemeris.
 The basic data consists of these files:
 /usr/share/libswe/ephe/sedeltat.txt.inactive
 /usr/share/libswe/ephe/sefstars.txt
 /usr/share/libswe/ephe/seleapsec.txt
 /usr/share/libswe/ephe/seorbel.txt
 /usr/share/libswe/ephe/fixstars.cat
 The Swiss Ephemeris library can be used without installed data,
 if the user provides that data in her own private directory
 and points to it with SE_EPHE_PATH.
