=== debian/watch ===
version=3
    http://download.gna.org/swissephauto/libswe-(\d+\.\d+\.\d+\.\d+).tar.bz2
