## libswe 1.80.00.0002

=== debian/changelog ===
libswe (1.80.00.0002-1ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:32:35 +0000

libswe (1.80.00.0002-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh-autoreconf to get new libtool macros for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 30 Jun 2014 20:08:18 -0400

libswe (1.80.00.0002-1) unstable; urgency=medium

  * proper includedir (closes:  #751360)
  * Standards-Version: 3.9.5

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Thu, 12 Jun 2014 01:21:59 -0500
