=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,19 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-#libswe uses depredicated calls warnings are not errors.
-export DEB_CFLAGS_MAINT_APPEND  = -Wno-error=format-security -Wno-format
+# replace #define macro in astrodienst/src/sweph.h
+# which defines location of swiss empheris data
+# this used to be a patch
+export DEB_CPPFLAGS_MAINT_APPEND  = -DSE_EPHE_PATH=\".:/usr/share/libswe/ephe2/:/usr/share/libswe/ephe/\"
+
+
+
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ 
+	dh $@ --with autoreconf 
 
 
-override_dh_auto_configure-arch:
-	dh_auto_configure -- --docdir=\$${prefix}/share/doc/libswe-doc --disable-docs 
-override_dh_auto_configure-indep:
+override_dh_auto_configure:
 	dh_auto_configure -- --docdir=\$${prefix}/share/doc/libswe-doc
