## libswe 2.10.03

=== debian/changelog ===
libswe (2.10.03-3build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:47:51 +0200

libswe (2.10.03-3) unstable; urgency=medium

  * Apply multi-arch hints: swetest drop Multi-Arch: same
  * Remove gitignore file, use .git/info/exclude instead
  * Add Replaces+Breaks to swetest (closes: #1034930)

 -- Stanislas Marquis <stan@astrorigin.com>  Sun, 30 Apr 2023 19:01:56 +0200

libswe (2.10.03-2) unstable; urgency=medium

  * Acknowledge NMU by Paul Gevers
  * Mark libswe-doc with 'Multi-Arch: foreign' (commit a5a6aedc)
  * Use dpkg-buildflags to get compiler and linker flags (commit d6a4a3eb)
  * Update version of swe-data in d/control (commit d6a4a3ebff)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 06 Feb 2023 01:19:48 -0500

libswe (2.10.03-1) unstable; urgency=medium

  * Refresh the package with swisseph version 2.10.03 (commit 175e1fcb), and
    closes: #1020741.
  * Library's major version number is now 2, to respect upstream's own
    numbering (binary package 'libswe0' becomes 'libswe2.0').
  * Anything concerning static data files (ephemeris files etc) is gone to
    source package 'swe-data'.
  * The 'swetest' application is updated and has numerous bugs fixed.
    In particular, option '-ut' now works (closes: #1011976).
  * The Debian 'control' file is reviewed. Binary packages point to
    'libswe-doc' as suggested package (closes: #849898).
  * Dropped Autotools for a simpler build and install process with Makefiles.
  * Documentation in HTML and PDF is generated from Markdown files.

 -- Stanislas Marquis <stan@astrorigin.com>  Mon, 26 Sep 2022 01:33:09 +0200

libswe (1.80.00.0002-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:05:48 +0100
