=== debian/control ===
Source: libswe
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stanislas Marquis <stan@astrorigin.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 pandoc,
 texlive-xetex,
 texlive-fonts-recommended,
 lmodern
Standards-Version: 4.6.1
Homepage: https://www.astro.com/swisseph
Vcs-Browser: https://salsa.debian.org/debian-astrology-team/libswe
Vcs-Git: https://salsa.debian.org/debian-astrology-team/libswe.git

Package: libswe-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libc6-dev,
 libswe2.0 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libswe-doc (= ${binary:Version}),
 swe-data (>= 4.0-20221111),
Description: Swiss Ephemeris C library (development).
 The Swiss Ephemeris is the de-facto standard library for astrological
 calculations. It is a high-precision ephemeris, based upon the DE431
 ephemerides from NASA's JPL, and covering the time range 13201 BC to AD
 17191.
 .
 This package installs the files required for development with the Swiss
 Ephemeris library (version 2).

Package: libswe2.0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libc6,
 ${shlibs:Depends},
 ${misc:Depends},
Replaces:
 libswe0,
Conflicts:
 libswe0,
Suggests:
 libswe-dev (= ${binary:Version}),
 libswe-doc (= ${binary:Version}),
 swe-data (>= 4.0-20221111),
Description: Swiss Ephemeris C library (runtime).
 The Swiss Ephemeris is the de-facto standard library for astrological
 calculations. It is a high-precision ephemeris, based upon the DE431
 ephemerides from NASA's JPL, and covering the time range 13201 BC to AD
 17191.
 .
 This package installs the runtime files for programs making use of the Swiss
 Ephemeris library (version 2).

Package: libswe-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 libswe2.0 (= ${binary:Version}),
 libswe-dev (= ${binary:Version}),
 swe-data (>= 4.0-20221111),
Description: Swiss Ephemeris C library (documentation).
 The Swiss Ephemeris is the de-facto standard library for astrological
 calculations. It is a high-precision ephemeris, based upon the DE431
 ephemerides from NASA's JPL, and covering the time range 13201 BC to AD
 17191.
 .
 The Swiss Ephemeris documentation comes in two parts, a general manual, and
 a programmer's manual.

Package: swetest
Section: misc
Architecture: any
Depends:
 libswe2.0 (>= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Replaces:
 libswe-dev (<< 2.10.03),
Breaks:
 libswe-dev (<< 2.10.03),
Suggests:
 libswe-doc (= ${binary:Version}),
 swe-data (>= 4.0-20221111),
Description: Swiss Ephemeris test application.
 'swetest' is an example CLI application demonstrating many, if not most,
 of the capabilities of the Swiss Ephemeris library. For example: calculation
 of celestial positions of planets, asteroids, fixed stars, and fictitious
 objects, western and numerous indian zodiac styles, astrological house
 systems, eclipses, etc.
