=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_clean:
	dh_auto_clean -- -f debian/Makefile.debian

override_dh_auto_build:
	dh_auto_build -- -f debian/Makefile.debian

override_dh_auto_install:
	dh_auto_install -- -f debian/Makefile.debian

override_dh_auto_test:
